#ifndef BULK_IMPORT_H
#define BULK_IMPORT_H

/* this must be called if any triples are added or deleted by methods other
 * than the bulk ones */
int ts_bulk_cache_flush(ts_connection *c, int verbosity, FILE *msg);

int ts_bulk_import_init(ts_connection *c, int verbosity, FILE *msg);

int ts_bulk_import(ts_connection *c, char *uri, char *model, int verbosity,
    FILE *msg, ts_syntax format, int last);

int ts_bulk_import_commit(ts_connection *c, int verbosity, FILE *msg);

void ts_bulk_import_get_cache_stats(int *l1, int *l2, int *miss);

#endif
