<?php

require "params.php";

$query = $_GET['query'];
$format = $_GET['result-format'];
$lang = $_GET['query-lang'];
$ss = $_GET['stylesheet'];

if ($query) {
	$cmd = $ts_bin_dir . "/ts-query -m";
	if ($format) {
		$cmd .= " -f ".escapeshellarg($format);
	}
	if ($lang) {
		$cmd .= " -l ".escapeshellarg($lang);
	}
	if ($ss) {
		$cmd .= " -s ".escapeshellarg($ss);
	}
	$cmd .= ' "'.$query.'"';

	$ph = popen($cmd, "r");
	while ($line = fgets($ph, 4096)) {
		if (ereg("^[ \r\n]*$", $line)) {
			break;
		}
		header(rtrim($line));
	}
	while ($line = fgets($ph, 4096)) {
		print($line);
	}
} else {
	header("Content-Type: text/html");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"
 "http://www.w3.org/TR/REC-html40/loose.dtd">
<html>
  <head>
    <title>3store SPARQL Query Service</title>
  </head>
  <body>
    <h1>3store SPARQL Query Service</h1>
    <form action="./">
      <p>
        Result format:
        <select name="result-format">
          <option selected>sparql</option>
          <option>testcase</option>
          <option>ascii</option>
          <option>json</option>
        </select>
        Stylesheet:
        <select name="stylesheet">
          <option selected value="">none</option>
          <option value="result-to-html.xsl">HTML table</option>
        </select>
      </p>
      <p>
        Query language:
        <select name="query-lang">
          <option selected>sparql</option>
          <option>rdql</option>
        </select>
      </p>
      <p>
        <textarea name="query" cols="80" rows="12"></textarea>
      </p>
      <p>
        <input type="submit">
      </p>
    </form>
  </body>
</html>
<?php
}

?>
